package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoExcecao;

public class RenderConfRestricaoExcecao implements ListitemRenderer {

	private SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");

	public void render(Listitem lstm, Object o) throws Exception {
		ConfRestricaoExcecao confRestricaoExcecao = (ConfRestricaoExcecao) o;

		Listcell lc = new Listcell(confRestricaoExcecao.getFecExcecao() == null ? "-" : sdf.format(confRestricaoExcecao.getFecExcecao()));
		lc.setParent(lstm);

		lstm.setAttribute("data", confRestricaoExcecao);
	}
}
